// spyware.as
// version 0.01
// 9/8/2005 JM

/* ---------------- INCLUDE LIBRARIES ------------------- */

#include "color_extensions.as"
#include "easing.as"
#include "event_queue.as"
#include "movieClip_extensions.as"

/* ---------------- DECLARATION ------------------- */

// _root variables

_global.jdgBtnHold = false;
var curQuestion = 0;
var numQuestions = 5;
var answerArray = [3, 2, 1, 1, 3];
var playerScore = 0;

var answerOffset = 9;
var btnBlinkRate = 500; //ms
var answerScrambleRate = 10;
var answerScrambleCount = 4;

var answerFloatRate = 31;

var swfRoot = _root;

/* ---------------- SOUNDS ------------------- */

// var soundNames2 = ['spyware_correct1','spyware_correct2','spyware_incorrect1','spyware_incorrect2'];
var soundNames2 = ['spyware_correct1','spyware_incorrect1','spyware_incorrect2'];

for (var i in soundNames2) {
	_root['sound_' + soundNames2[i]] = new Sound (_root);
	_root['sound_' + soundNames2[i]].attachSound (soundNames2[i] + '.aif');
//	trace (_root['sound_' + soundNames2[i]]);
}

/* ---------------- CLASSES ------------------- */

AnswerBtn = function () {}

AnswerBtn.__proto__ = MovieClip.prototype;

AnswerBtn.prototype.init = function () {
	this.correct = false;
	this.anum = null;
	
	this.onRollOver = function () {
		this.addTint (0, 84, 166, 100);	
	}
	
	this.onRollOut = function () {
		this.removeTint ();
	}
	
	this.onRelease = function () {
		this.removeTint ();
		_root.revealAnswer (this);
		delete (this.onRollOver);
		delete (this.onRelease);
		this.useHandCursor = false;
	}
}

/* ---------------- FUNCTIONS ------------------- */

initNextButton = function (o) {

	o.i_btnOutline._visible = false;

	o.deactivate = function () {
		o._alpha = 30;
		o.unblinkBorder (false);
		delete (o.onRelease);
		delete (o.onRollOver);
		delete (o.onRollOut);
		o.useHandCursor = false;
	}
	
	o.activate = function () {
		o.blinkBorder ();
		o._alpha = 80;
		if (_root.curQuestion < _root.numQuestions) {
			o.onRelease = function () { _root.doNextQuestion (); }
		} else if (_root.curQuestion == _root.numQuestions) {
			o.i_label.gotoAndStop (2);
			o.onRelease = function () { _root.doResults (); }
		} else {
			o.i_label.gotoAndStop (3);
			o.i_arrow._visible = false;
			o.onRelease = function () { _root.endGame (); }
		}
		o.onRollOver = function () { 
			o._alpha = 100; 
			o.unblinkBorder (true);
		}
		o.onRollOut = function () {
			o._alpha = 80;
			o.blinkBorder ();
		}
		o.useHandCursor = true;
	}
	
	o.blinkBorder = function () {
		clearInterval (o.blinker);
		o.i_btnOutline._visible = !o.i_btnOutline._visible;
		o.blinker = setInterval (o, 'blinkBorder', _root.btnBlinkRate);
		updateAfterEvent ();
	}

	o.unblinkBorder = function (b) {
		clearInterval (o.blinker);
		o.i_btnOutline._visible = b;
	}
}

endWait = function () {
	_level0.i_eventQueue.endWait ();
}

doQuestion = function (w) {
	_root.i_control.i_btnNext.deactivate ();
	_level0.i_eventQueue.addEvent (_root, 'playIqAnimation', w, true);
	_level0.i_eventQueue.addEvent (_root, 'startQuestion', w, false);
	curQuestion = w;
}

doResults = function () {
	_root.curQuestion ++;
	_root.i_q_pkg.removeMovieClip ();
	_root.i_control.i_btnNext.activate ();
//	_root.i_control.i_btnNext._visible = false;
	_root.attachMovie ('m_resultsPanel', 'i_resultsPanel', 50);
	_root.i_resultsPanel.i_paper.attachMovie ('m_r_pkg', 'i_r_pkg', 10);
	_level0.i_eventQueue.addEvent (_root, 'playResultsAnimation', null, false);
}

startQuestion = function (w) {

// attach question
	_root.attachMovie ('m_q' + w + '_pkg', 'i_q_pkg', 60);
	_root.i_q_pkg._rotation = 4.012;
	_root.i_q_pkg.moveToA ([328,43]);
	_root.showExpl = function () { _root.i_q_pkg.i_expl._visible = true; }

// attach explanation
	_root.i_q_pkg.attachMovie ('m_q' + w + '_e', 'i_expl', 10);
	_root.i_q_pkg.i_expl._visible = false;

// setup answer buttons
	for (var i = 1; i < 4; i++) {
		var oRef = _root.i_q_pkg['i_ans_' + i];
		oRef.__proto__ = AnswerBtn.prototype;
		oRef.init ();
		oRef.anum = i;
		if (_root.answerArray[w - 1] == i) {  // define correct answer
			oRef.correct = true;
		}
	}

// increment counter bar
	_root.i_control['i_counterBar_' + w].gotoAndStop (2);
}

revealAnswer = function (o) {
	var na = _root.curQuestion % 2 + 1;
	if (o.correct) { _root.playerScore++; }
	var newX = _root.i_q_pkg.i_ans_1._x;
	var newY = _root.i_q_pkg.i_ans_1._y;
	var eDist = o._height + _root.answerOffset;
	_root.i_q_pkg.i_expl.gotoAndStop (o.anum);
	_root.i_q_pkg.i_expl._y = (newY + eDist);
	for (var i = 1; i < 4; i++) {
		if (o.anum != i) {
			_root.i_q_pkg['i_ans_' + i]._visible = false;
		} else {
			if (i != 1) {
				_level0.i_eventQueue.addEvent (o, 'glideTo', [newX, newY, _root.answerFloatRate], true);
			}
			_level0.i_eventQueue.addEvent (this, 'showExpl', null, false);
		}
	}
	if (o.correct) {
//		_level0.i_eventQueue.addEvent (_root['sound_spyware_correct' + na], 'start', null, false);
		_level0.i_eventQueue.addEvent (_root['sound_spyware_correct1'], 'start', null, false);
	} else {
		_level0.i_eventQueue.addEvent (_root['sound_spyware_incorrect' + na], 'start', null, false);	
	}
	_level0.i_eventQueue.addEvent (_root.i_control['i_btnNext'], 'activate', null, false);
}

doNextQuestion = function () {
	_root.i_q_pkg.removeMovieClip ();
	curQuestion ++;
	doQuestion (curQuestion);
}

playIqAnimation = function (w) {
	if (w == _root.numQuestions) {
		_root.i_questionPanel.i_newPaper._visible = false;
	}
	_root.i_questionPanel.i_qNumSmall.gotoAndStop (w);
	_root.i_questionPanel.i_qNumBig.gotoAndStop (w);
// play question preanimation
	_root.i_questionPanel.gotoAndPlay (2);
}

playResultsAnimation = function () {
	_root.i_resultsPanel.i_paper.i_r_pkg.moveToA ([60, 18]);
	_root.i_resultsPanel.i_paper.i_r_pkg._rotation = 4.012;
	_root.i_resultsPanel.i_paper.i_r_pkg.gotoAndStop (_root.playerScore + 1);
	_root.i_resultsPanel.i_paper.i_r_pkg.i_linkBtn.onRelease = function () {
		getURL ('http://alertaenlinea.gov/spyware_es.html', '_blank');
	}
	_root.i_resultsPanel.gotoAndPlay (2);
}

/*
playIntro = function () {
	_root.createEmptyMovieClip ('i_intro', 1010);
	_root.i_intro.loadMovie ('spyware_intro.swf');
}

endIntro = function () {
	_root.attachMovie ('m_breaker', 'i_breaker', 50);
	_root.i_intro._visible = false;
	_root.i_breaker.onRelease = function () { _root.endBreaker (); }
}
*/

startGame = function () {
	_root.attachMovie ('m_breaker', 'i_breaker', 50);
	_root.i_intro._visible = false;
	_root.i_breaker.onRelease = function () { _root.endBreaker (); }
}

endBreaker = function () {
	_root.initMovie ();
	_root.doQuestion (1);

}

endGame = function () {
	getURL ('javascript:window.close ();');
}

/* ---------------- MOVIE INITIALIZATION ------------------- */

initMovie = function () {
	_root.attachMovie ('m_questionPanel', 'i_questionPanel', 50);
	_root.attachMovie ('m_control', 'i_control', 100);
	_root.initNextButton(_root.i_control.i_btnNext);
}

/* ---------------- RUNTIME ------------------- */

// initMovie ();
// doQuestion (4);
// playIntro ();
// startGame ();